/*
 * osdcontrolbar.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef OSDCONTROLBAR_H
#define OSDCONTROLBAR_H

#include "osdbutton.h"
#include "osdanim.h"
#include "osdvscrollbar.h"



class OsdControlBar : public OsdAnim
{
	Q_OBJECT
public:
	OsdControlBar( OsdConfig *conf );
	~OsdControlBar();
	void mouseMove( QPoint &p );
	bool mouseClicked( QMouseEvent *e );
	void wheelEvent( QWheelEvent *e );
	void mouseReleased( QMouseEvent *e );
	void paint();
	void appendButton( OsdButton *btn );

	void resize( int w, int h );

private slots:
	void barScrolled( int off );

private:
	QList<OsdButton *> buttonList;
	OsdVScrollBar *positionBar;
	int scroll;
};

#endif // OSDCONTROLBAR_H
