/*
 * xinethumb.h
 *
 * Copyright (C) 2008 Christophe Thommeret <hftom@free.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */

#ifndef XINETHUMB_H
#define XINETHUMB_H

#include <QStringList>
#include <QDir>
#include <QObject>
#include <QProcess>
#include <QTimer>

#define THUMB_WIDTH 300
#define START_POS 10000



class XineThumb : public QObject
{
	Q_OBJECT
public:
	XineThumb();
	~XineThumb();
	void setThumbDir( QString d );
	void prepend( const QStringList &sl );
	void prepend( const QString &mrl );
	void append( const QStringList &sl );
	void append( const QString &mrl );
	void resetList();

private slots:
	void restartProc( int, QProcess::ExitStatus );
	void stopProc();
	void readStderr();
	void feed();

private:
	QStringList mrlList;
	int mrlCounter;
	QProcess *proc;
	QString program;
	QStringList arguments;
	char buf[1500];
	QTimer idleTimer;
	QDir thumbDir;
};

#endif // XINETHUMB_H
